'''
Created on 20-Jan-2022

@author: bthakur
'''

import inspect
import traceback
import random
import numpy as np

from sympy import simplify, Rational, latex

from xv.km.util import latex_fraction
from sympy.core.expr import UnevaluatedExpr

from xv.km.ui import SvgHelper
from xv.util.data import CacheUtil
import matplotlib.pyplot as plt

from ...util import MathUtil
from xv.util import toIntOrFloat


class DataHelper:
    
    def __init__(self, **kwargs):
        self.verbose = kwargs.get('verbose', False)
        pass

    
    def get_person_name(self):
        return self.get_person_names(1)[0]

    def get_person_names(self, count = None):
        names = [
            'Akshaya', 'Krithika', 'Tej', 'Aarush', 'Neel', 'Rohan', 
            'Nancy', 'Rose', 'Rosa', 'John', 'Smith',
            'Aaron', 'Darren', 'Karen', 'Maren', 'Sharon',
            ]
        
        if count is None:
            return names
        
        names = random.sample(names, min(count, len(names)))
        return names        
        pass

    def get_drinks_name(self):
        return self.get_drinks_names(1)[0]

    def get_drinks_names(self, count = None):
        names = [
            'lemonade', 'juice', 'drink', 'water',
            ]
        
        if count is None:
            return names
        
        names = random.sample(names, min(count, len(names)))
        return names        
        pass

    pass
#class DataHelper:
